| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
Io::FileAttr Class Referencefinal

`#include <GaudiKernel/IFileMgr.h>`

Collaboration diagram for Io::FileAttr:
[legend]

## Public Member Functions
| FileAttr ()=default
| FileAttr (Fd f, std::string n, std::string d, IoTech t, IoFlags fa, void *p, bool o, bool s=false)
Fd | fd () const
const std::string & | name () const
const std::string & | desc () const
IoTech | tech () const
IoFlags | flags () const
IoFlags | iflags () const
void * | fptr () const
bool | isOpen () const
bool | isShared () const
void | fd (Fd f)
void | name (const std::string &n)
void | desc (const std::string &d)
void | tech (const IoTech &t)
void | flags (const IoFlags &f)
void | iflags (const IoFlags &f)
void | fptr (void *v)
void | isOpen (bool b)
void | isShared (bool s)
bool | operator== (const FileAttr &fa) const
bool | operator< (const FileAttr &rhs) const

## Private Attributes
Fd | m_fd = -1
std::string | m_name
std::string | m_desc
IoTech | m_tech = UNKNOWN
IoFlags | m_flags = INVALID
IoFlags | m_iflags = INVALID
void * | m_fptr = nullptr
bool | m_isOpen = false
bool | m_shared = false

## Friends
std::ostream & | operator<< (std::ostream &os, const FileAttr &fa)

## Detailed Description

Definition at line 174 of file IFileMgr.h.

## Constructor & Destructor Documentation

Io::FileAttr::FileAttr | ( |  | ) |
| default

Io::FileAttr::FileAttr | ( | Fd | f,
|  | std::string | n,
|  | std::string | d,
|  | IoTech | t,
|  | IoFlags | fa,
|  | void * | p,
|  | bool | o,
|  | bool | s = `false`
| ) |  |
| inline

Definition at line 178 of file IFileMgr.h.

179 :
180 m_fd(f),m_name(std::move(n)),m_desc(std::move(d)),
181 m_tech(t),m_flags(fa),m_iflags(fa),m_fptr(p),
182 m_isOpen(o),m_shared(s){};
Io::FileAttr::m_fd
Fd m_fd
Definition: IFileMgr.h:233
Io::FileAttr::m_flags
IoFlags m_flags
Definition: IFileMgr.h:237
Io::FileAttr::m_tech
IoTech m_tech
Definition: IFileMgr.h:236
Io::FileAttr::m_iflags
IoFlags m_iflags
Definition: IFileMgr.h:238
Io::FileAttr::m_fptr
void * m_fptr
Definition: IFileMgr.h:239
Io::FileAttr::m_isOpen
bool m_isOpen
Definition: IFileMgr.h:240
Io::FileAttr::m_desc
std::string m_desc
Definition: IFileMgr.h:235
std::move
T move(T...args)
gaudirun.s
string s
Definition: gaudirun.py:245
Io::FileAttr::m_name
std::string m_name
Definition: IFileMgr.h:234
Io::FileAttr::m_shared
bool m_shared
Definition: IFileMgr.h:241

## Member Function Documentation

const std::string& Io::FileAttr::desc | ( |  | ) | const
| inline

Definition at line 186 of file IFileMgr.h.

186 { return m_desc; }
Io::FileAttr::m_desc
std::string m_desc
Definition: IFileMgr.h:235

void Io::FileAttr::desc | ( | const std::string & | d | ) |
| inline

Definition at line 197 of file IFileMgr.h.

197 { m_desc = d; }
Io::FileAttr::m_desc
std::string m_desc
Definition: IFileMgr.h:235

Fd Io::FileAttr::fd | ( |  | ) | const
| inline

Definition at line 184 of file IFileMgr.h.

184 { return m_fd; }
Io::FileAttr::m_fd
Fd m_fd
Definition: IFileMgr.h:233

void Io::FileAttr::fd | ( | Fd | f | ) |
| inline

Definition at line 195 of file IFileMgr.h.

195 { m_fd = f; }
Io::FileAttr::m_fd
Fd m_fd
Definition: IFileMgr.h:233

IoFlags Io::FileAttr::flags | ( |  | ) | const
| inline

Definition at line 188 of file IFileMgr.h.

188 { return m_flags; }
Io::FileAttr::m_flags
IoFlags m_flags
Definition: IFileMgr.h:237

void Io::FileAttr::flags | ( | const IoFlags & | f | ) |
| inline

Definition at line 199 of file IFileMgr.h.

199 { m_flags = f; }
Io::FileAttr::m_flags
IoFlags m_flags
Definition: IFileMgr.h:237

void* Io::FileAttr::fptr | ( |  | ) | const
| inline

Definition at line 190 of file IFileMgr.h.

190 { return m_fptr; }
Io::FileAttr::m_fptr
void * m_fptr
Definition: IFileMgr.h:239

void Io::FileAttr::fptr | ( | void * | v | ) |
| inline

Definition at line 201 of file IFileMgr.h.

201 { m_fptr = v; }
Io::FileAttr::m_fptr
void * m_fptr
Definition: IFileMgr.h:239

IoFlags Io::FileAttr::iflags | ( |  | ) | const
| inline

Definition at line 189 of file IFileMgr.h.

189 { return m_iflags; }
Io::FileAttr::m_iflags
IoFlags m_iflags
Definition: IFileMgr.h:238

void Io::FileAttr::iflags | ( | const IoFlags & | f | ) |
| inline

Definition at line 200 of file IFileMgr.h.

200 { m_iflags = f; }
Io::FileAttr::m_iflags
IoFlags m_iflags
Definition: IFileMgr.h:238

bool Io::FileAttr::isOpen | ( |  | ) | const
| inline

Definition at line 191 of file IFileMgr.h.

191 { return m_isOpen; }
Io::FileAttr::m_isOpen
bool m_isOpen
Definition: IFileMgr.h:240

void Io::FileAttr::isOpen | ( | bool | b | ) |
| inline

Definition at line 202 of file IFileMgr.h.

202 { m_isOpen = b; }
Io::FileAttr::m_isOpen
bool m_isOpen
Definition: IFileMgr.h:240

bool Io::FileAttr::isShared | ( |  | ) | const
| inline

Definition at line 192 of file IFileMgr.h.

192 { return m_shared; }
Io::FileAttr::m_shared
bool m_shared
Definition: IFileMgr.h:241

void Io::FileAttr::isShared | ( | bool | s | ) |
| inline

Definition at line 203 of file IFileMgr.h.

203 { m_shared = s; }
gaudirun.s
string s
Definition: gaudirun.py:245
Io::FileAttr::m_shared
bool m_shared
Definition: IFileMgr.h:241

const std::string& Io::FileAttr::name | ( |  | ) | const
| inline

Definition at line 185 of file IFileMgr.h.

185 { return m_name; }
Io::FileAttr::m_name
std::string m_name
Definition: IFileMgr.h:234

void Io::FileAttr::name | ( | const std::string & | n | ) |
| inline

Definition at line 196 of file IFileMgr.h.

196 { m_name = n; }
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:217
Io::FileAttr::m_name
std::string m_name
Definition: IFileMgr.h:234

bool Io::FileAttr::operator< | ( | const FileAttr & | rhs | ) | const
| inline

Definition at line 223 of file IFileMgr.h.

223 {
224 if ( m_name != rhs.name() ) {
225 return ( m_name < rhs.name() );
226 } else {
227 return ( m_flags < rhs.iflags() );
228 }
229 }
Io::FileAttr::m_flags
IoFlags m_flags
Definition: IFileMgr.h:237
Io::FileAttr::m_name
std::string m_name
Definition: IFileMgr.h:234

bool Io::FileAttr::operator== | ( | const FileAttr & | fa | ) | const
| inline

Definition at line 217 of file IFileMgr.h.

217 {
218 return ( m_fd==fa.fd() && m_name==fa.name() && m_desc==fa.desc() &&
219 m_tech==fa.tech() && m_flags==fa.flags() && m_fptr==fa.fptr() &&
220 m_isOpen==fa.isOpen() && m_shared==fa.isShared() );
221 }
Io::FileAttr::m_fd
Fd m_fd
Definition: IFileMgr.h:233
Io::FileAttr::m_flags
IoFlags m_flags
Definition: IFileMgr.h:237
Io::FileAttr::m_tech
IoTech m_tech
Definition: IFileMgr.h:236
Io::FileAttr::m_fptr
void * m_fptr
Definition: IFileMgr.h:239
Io::FileAttr::m_isOpen
bool m_isOpen
Definition: IFileMgr.h:240
Io::FileAttr::m_desc
std::string m_desc
Definition: IFileMgr.h:235
Io::FileAttr::m_name
std::string m_name
Definition: IFileMgr.h:234
Io::FileAttr::m_shared
bool m_shared
Definition: IFileMgr.h:241

IoTech Io::FileAttr::tech | ( |  | ) | const
| inline

Definition at line 187 of file IFileMgr.h.

187 { return m_tech; }
Io::FileAttr::m_tech
IoTech m_tech
Definition: IFileMgr.h:236

void Io::FileAttr::tech | ( | const IoTech & | t | ) |
| inline

Definition at line 198 of file IFileMgr.h.

198 { m_tech = t;}
Io::FileAttr::m_tech
IoTech m_tech
Definition: IFileMgr.h:236

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const FileAttr & | fa
| ) |  |
| friend

Definition at line 206 of file IFileMgr.h.

206 {
207 os << "name: \"" << fa.name() << "\" tech: " << fa.tech()
208 << " desc: " << fa.desc()
209 << " flags: " << IoFlagName(fa.flags())
210 << " i_flags: " << IoFlagName(fa.iflags())
211 << " Fd: " << fa.fd() << " ptr: " << fa.fptr()
212 << (fa.isOpen() ? " [o]" : " [c]" )
213 << (fa.isShared() ? " [s]" : " [u]" );
214 return os;
215 }

## Member Data Documentation

std::string Io::FileAttr::m_desc
| private

Definition at line 235 of file IFileMgr.h.

Fd Io::FileAttr::m_fd = -1
| private

Definition at line 233 of file IFileMgr.h.

IoFlags Io::FileAttr::m_flags = INVALID
| private

Definition at line 237 of file IFileMgr.h.

void* Io::FileAttr::m_fptr = nullptr
| private

Definition at line 239 of file IFileMgr.h.

IoFlags Io::FileAttr::m_iflags = INVALID
| private

Definition at line 238 of file IFileMgr.h.

bool Io::FileAttr::m_isOpen = false
| private

Definition at line 240 of file IFileMgr.h.

std::string Io::FileAttr::m_name
| private

Definition at line 234 of file IFileMgr.h.

bool Io::FileAttr::m_shared = false
| private

Definition at line 241 of file IFileMgr.h.

IoTech Io::FileAttr::m_tech = UNKNOWN
| private

Definition at line 236 of file IFileMgr.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IFileMgr.h